perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carl Brewer <c...@bl.echidna.id.au>
Subject Re: version syntax for mp2 [summary]
Date Mon, 13 Dec 2004 23:20:26 GMT

Hello Stas et al,

I'm trying to put this into NetBSD pkgsrc versioning,
which likes a numerical ascendancy I think.
Any sugestions for how to label this in the context
of ap2-perl-X.YY.ZZ?

Should I ask the NBSD pkgsrc people to bump up to 2.0.0-RC1
or stick with 1.99.18xxx ?  As other pkgs have dependancies
on this kind of thing (eg p5-libapreq2-2.4.3 etc) I guess
it needs to be a fairly consistant approach.

thanks

Carl

Stas Bekman wrote:
> OK so to sum things up:
> 
> On our side:
> ------------
> 
> in RC2 we move to:
> 
>   $mod_perl::VERSION = 1.099_019;
> 
> which will eventually become:
> 
>   $mod_perl::VERSION = 2.000_000;
> 
> we mangle Makefile.PL to convert x.yyy_zzz into x.y.z and pass it to:
> 
>  WriteMakefile(VERSION => "x.y.z").
> 
> so the package name is generated as mod_perl-x.y.z.tar.gz
> 
> On users side:
> --------------
> 
> Modules can now check:
> 
> - require 2.x
> 
>   if ($mod_perl::VERSION >= 2)
> 
> - require 2.2.x
> 
>   if ($mod_perl::VERSION >= 2.002)
> 
> - require 2.2.5
> 
>   if ($mod_perl::VERSION >= 2.002_005)
> 
> Is everybody happy with this schema (at least give it a try for RC2)?
> 
> Thanks again to John Peacock for the help.
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message